Name:           blueonyx-yumconf
Version:        2.4.2
Release:        1
Packager:       Michael Stauber <mstauber@solarspeed.net>
Vendor:         Team BlueOnyx
URL:            http://www.blueonyx.info
License:        Proprietory
Group:          System Environment/Base
Distribution:   BlueOnyx 5212R
BuildArch:      noarch
Source:         %{name}-%{version}-%{release}.tar.gz
Summary:        YUM Repository Config file for BlueOnyx 5212R
Requires:	perl
Requires:	firewalld
Requires: 	dnf
Requires: 	dnf-data
Requires: 	dnf-plugins-core

%description
YUM Repository Config file for BlueOnyx 5212R.

%prep
%setup -q -n %{name}-%{version}-%{release}
#%setup

%install
rm -rf $RPM_BUILD_ROOT
cd $RPM_BUILD_DIR/%{name}-%{version}-%{release}
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d
install -m644 etc/yum.repos.d/0_WARNING.txt $RPM_BUILD_ROOT/etc/yum.repos.d/0_WARNING.txt
install -m644 etc/yum.repos.d/BlueOnyx.repo $RPM_BUILD_ROOT/etc/yum.repos.d/BlueOnyx.repo
mkdir -p $RPM_BUILD_ROOT/usr/sausalito/configs/rpm
install -m644 usr/sausalito/configs/rpm/RPM-GPG-KEY-NUSOL-5106R $RPM_BUILD_ROOT/usr/sausalito/configs/rpm/RPM-GPG-KEY-NUSOL-5106R
mkdir -p $RPM_BUILD_ROOT/usr/libexec
install -m755 usr/libexec/bx-iptables-config.pl $RPM_BUILD_ROOT/usr/libexec/bx-iptables-config.pl

%post

rpm --import /usr/sausalito/configs/rpm/RPM-GPG-KEY-NUSOL-5106R  >/dev/null 2>&1 || :

if [ -f /etc/yum.repos.d/BlueOnyx.repo.rpmnew ];then
	mv /etc/yum.repos.d/BlueOnyx.repo.rpmnew /etc/yum.repos.d/BlueOnyx.repo
fi

# Set up BlueOnyx firewalld rules:
RULES=$(cat /etc/firewalld/zones/public.xml|grep '"444"'|wc -l)
if [ "$RULES" -eq "0" ];then
	/usr/libexec/bx-iptables-config.pl >/dev/null 2>&1 || :
fi

%preun

%clean
rm -rf $RPM_BUILD_ROOT

%files
/etc/yum.repos.d/0_WARNING.txt
%config(noreplace) /etc/yum.repos.d/BlueOnyx.repo
/usr/sausalito/configs/rpm/RPM-GPG-KEY-NUSOL-5106R
/usr/libexec/bx-iptables-config.pl

%changelog

* Sat Jun 06 2025 Michael Stauber <mstauber@solarspeed.net> 2.4.2-1
- Updated for BlueOnyx 5212R on EL10

* Thu Nov 11 2021 Michael Stauber <mstauber@solarspeed.net> 2.4.1-1
- Updated for BlueOnyx 5211R on EL9

* Mon Feb 25 2019 Michael Stauber <mstauber@solarspeed.net> 2.3.1-1
- Added BlueOnyx-OS-5210R YUM repository
- Enabled protection for BlueOnyx-5210R repo, but not BlueOnyx-OS-5210R
  repo. That way OS updates can replace anything we substituted at a
  time when el8 didn't have it yet.
- Added requirements for 'dnf' and 'yum' to make sure both are 
  installed before Anaconda tries to install 'blueonyx-yumconf'. 
  Otherwise Anaconda fails installing the 'yum' RPM. Go figure.

* Fri Jan 18 2019 Michael Stauber <mstauber@solarspeed.net> 2.3.0-1
- Updated for BlueOnyx 5210R on CentOS 8
- Added /usr/libexec/bx-iptables-config.pl

* Wed Nov 02 2016 Michael Stauber <mstauber@solarspeed.net> 2.2.0-3
- Added timeout and retries to repository config.

* Mon Dec 20 2014 Michael Stauber <mstauber@solarspeed.net> 2.2.0-2
- Added /usr/sausalito/configs/rpm/RPM-GPG-KEY-NUSOL-5106R which
  now gets imported during post-install.

* Wed Jul 16 2014 Michael Stauber <mstauber@solarspeed.net> 2.2.0-1
- Rebuild for 5209R on EL7. Same mirror, different URLs.

* Mon Jul 14 2014 Michael Stauber <mstauber@solarspeed.net> 2.1.0-1
- Rebuild for 520XR. Same mirror, different URLs.

* Fri Apr 27 2012 Michael Stauber <mstauber@solarspeed.net> 2.0.0-5
- Brought back provisions for the [BlueOnyx-Testing] YUM repository.

* Fri Apr 27 2012 Michael Stauber <mstauber@solarspeed.net> 2.0.0-4
- Brought back provisions for the [BlueOnyx-Testing] YUM repository.

* Wed Jul 13 2011 Michael Stauber <mstauber@solarspeed.net> 2.0.0-3
- Changed repository name to remove CentOS6 reference.

* Sat Jun 25 2011 Michael Stauber <mstauber@solarspeed.net> 2.0.0-2
- Updated for BlueOnyx on CentOS 6 / Scientific Linux 6
- Changed host from www to updates

* Mon Jun 07 2010 Michael Stauber <mstauber@solarspeed.net> 2.0.0-1
- Updated for BlueOnyx on CentOS 6
- New Specfile

* Tue Jun 16 2009 Michael Stauber <mstauber@solarspeed.net> 1.0.0-6
- Added /etc/yum.repos.d/0_WARNING.txt with third party YUM repository warnings.

* Thu Apr 02 2009 Michael Stauber <mstauber@solarspeed.net> 1.0.0-5
- In CentOS-5.3 yum no longer likes spaces in repository names.
- Replaced space in repository name 'BlueOnyx Testing' to a dash.

* Sat Dec 06 2008 Michael Stauber <mstauber@solarspeed.net> 1.0.0-4
- Changed from blueonyx.info to blueonyx.it
- Added provisions for testing repository.

* Tue Dec 02 2008 Michael Stauber <mstauber@solarspeed.net>
- Updated build after renaming to BlueOnyx.

* Fri Nov 14 2008 Michael Stauber <mstauber@solarspeed.net> 1.0.0-3
- Updated build with mirror provisions already built in.

* Wed Nov 12 2008 Michael Stauber <mstauber@solarspeed.net>
- Initial build.
